Esta documentación está archivada y no tiene mantenimiento.

ExpandedWrapper<TExpandedElement, TProperty0, TProperty1, TProperty2, TProperty3, TProperty4, TProperty5, TProperty6, TProperty7> (Clase)

Actualización: noviembre 2007

Esta API es compatible con la infraestructura de .NET Framework y no está diseñada para utilizarse directamente desde el código.

El sistema usa internamente esta clase a fin de implementar compatibilidad para las consultas con carga rápida de entidades relacionadas.

Espacio de nombres:  System.Data.Services.Internal
Ensamblado:  System.Data.Services (en System.Data.Services.dll)

public sealed class ExpandedWrapper<TExpandedElement, TProperty0, TProperty1, TProperty2, TProperty3, TProperty4, TProperty5, TProperty6, TProperty7> : ExpandedWrapper<TExpandedElement>

J# admite el uso de APIs genéricas pero no admite la declaración de nuevas API.
JScript no admite el uso de métodos ni tipos genéricos.

Parámetros de tipo

TExpandedElement

Tipo del elemento expandido.

TProperty0

Tipo de la propiedad que va a expandirse.

TProperty1

Tipo de la propiedad que va a expandirse.

TProperty2

Tipo de la propiedad que va a expandirse.

TProperty3

Tipo de la propiedad que va a expandirse.

TProperty4

Tipo de la propiedad que va a expandirse.

TProperty5

Tipo de la propiedad que va a expandirse.

TProperty6

Tipo de la propiedad que va a expandirse.

TProperty7

Tipo de la propiedad que va a expandirse.

El espacio de nombres incluye diversas variaciones de la clase ExpandedWrapper.

System.Object
  System.Data.Services.Internal.ExpandedWrapper<TExpandedElement>
    System.Data.Services.Internal.ExpandedWrapper<TExpandedElement, TProperty0, TProperty1, TProperty2, TProperty3, TProperty4, TProperty5, TProperty6, TProperty7>

Todos los miembros static (Shared en Visual Basic) públicos de este tipo son seguros para la ejecución de subprocesos. No se garantiza que los miembros de instancias sean seguros para la ejecución de subprocesos.

.NET Framework y .NET Compact Framework no admiten todas las versiones de cada plataforma. Para obtener una lista de las versiones compatibles, vea Requisitos de sistema de .NET Framework.

.NET Framework

Compatible con: 3.5 SP1
Mostrar: